The system requirements listed in this article provide good performance in tests against models of typical environments. Depending on the number of managed systems and virtual machines under management, you may need to adjust these to achieve expected performance. See Scaling vCommander Hardware Requirements for more information.


Installing vCommander® without adhering to the system requirements may limit technical support availability.


Managed Systems


  • VMware vSphere 6.0, 5.5, 5.1, 5.0, 4.1, 4.0
  • VMware VirtualCenter 2.5
  • Microsoft System Center Virtual Machine Manager (SCVMM) 2012 R2*
  • Amazon Web Services Elastic Compute Cloud (EC2)
  • Microsoft Azure


*If you manage SCVMM, you must install Microsoft .NET Framework version 4.5 or higher. Note that if you are upgrading from a previous release and managing SCVMM, you must install Microsoft .NET Framework version 4.5 or higher before upgrading.


Operating Systems


  • Microsoft Windows Server 2012 & 2012 R2 (x64)
  • Microsoft Windows Server 2008 R2 or higher (x64)


Language


  • English


Database


Recommended for production environments with over 500 VMs:

  • Microsoft SQL Server 2014
  • Microsoft SQL Server 2012
  • Microsoft SQL Server 2008 R2


Suitable for evaluation and non-production environments:

  • Postgres SQL included with installer


Important: You cannot change between Microsoft and Postgres database at a later date. Be sure to install being mindful of future growth and portability.


Disk Space


  • 500 MB
  • Additional 5 GB if using Postgres database, typically


Important: Disk space required for the database can vary greatly depending on the usage in your environment. Embotics recommends monitoring the free space on the data partition no matter which database environment is in use. The data partition when using Postgres is the partition to which the product is installed. When using Microsoft SQL, this is the location of the actual data file (MDF).


Processor


  • 2.0 GHz
  • Dual-core or better required if using Postgres database


Memory


  • 4.0 GB minimum
  • 6.0 GB recommended


Web Browser


  • (Recommended) Mozilla Firefox 52, 51
  • Microsoft Internet Explorer 11,10*
  • Google Chrome 56,55
  • Microsoft Edge (experimental)


Multimedia


  • Adobe Flash Player 9.0.124 or higher


Network


  • Gigabit Ethernet